Переполнение буфера в Winamp

Дата публикации:
18.01.2008
Всего просмотров:
2502
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Winamp 5.x
Уязвимые версии: Winamp 5.21, 5.5 и 5.51, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в библиотеке in_mp3.dll во время создания названий потоков при обработке Ultravox метаданных. Удаленный пользователь может с помощью слишком длинных значений тегов "<artist>" и "<name>" в секции <metadata> вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.winamp.com

Решение: Установите последнюю версию 5.52 с сайта производителя.

Ссылки: Secunia Research: Winamp Ultravox Streaming Metadata Parsing Buffer Overflows

или введите имя

CAPTCHA
19-01-2008 12:28:04
Не то чтобы сильно надо, но при том, что текущая версия 5.52 на "родном" сайте, предлагают качать только 5.51. Странно.
0 |
20-01-2008 00:04:20
Продать надо? А реклами двигатель торговли.
0 |
22-01-2008 11:12:08
Решение пришло неожиданно в тот же день - заменил в ссылке на скачивание файла цифры 5.51 на 5.52 - cкачался, утверждает, что 5.52 Кстати, сегодня уже нормально качает 5.52.
0 |